/* 
 *    dsp.h
 *
 *	Copyright (C) Vivien Chappelier - 2000
 *
 *  This file is part of fame, a free MPEG encoder.
 *	
 *  fame is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *   
 *  fame is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *   
 *  You should have received a copy of the GNU General Public License
 *  along with GNU Make; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. 
 *
 */
#ifndef __INPUT_DSP_H
#define __INPUT_DSP_H

#include "types.h"

typedef struct _input_dsp_context_t_ {
  int fd;
} input_dsp_context_t;

input_dsp_context_t *dsp_init(void);
int dsp_read(input_dsp_context_t *context, void *buffer, int size);
void dsp_close(input_dsp_context_t *context);

#endif

