/* 
 *    types.h
 *
 *	Copyright (C) Vivien Chappelier - 2000
 *
 *  This file is part of fame, a free MPEG encoder.
 *	
 *  fame is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *   
 *  fame is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *   
 *  You should have received a copy of the GNU General Public License
 *  along with GNU Make; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. 
 *
 */

#ifndef __TYPES_H
#define __TYPES_H

/* Define some common types */
typedef unsigned char fuint8_t;
typedef unsigned short int fuint16_t;
typedef unsigned long  int fuint32_t;
typedef signed char fint8_t;
typedef signed short int fint16_t;
typedef signed long  int fint32_t;

typedef enum { false = 0, true = 1 } fbool_t;

#endif
